<?php
// Databazes savienojuma detaļas
$servername = "109.106.254.1";
$username = "u353443769_beis";
$password = 'Te$t@dm1n';
$database = "u353443769_beis";

// Izveido savienojumu
$conn = new mysqli($servername, $username, $password, $database);

// Pārbauda savienojumu
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Veidlapas iesniegšanas process
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Parbaudīt lietotāja ievades, drošībai
    $username = $conn->real_escape_string($_POST['username']);
    $phone = $conn->real_escape_string($_POST['phone']);
    $email = $conn->real_escape_string($_POST['email']);
    $password = $conn->real_escape_string($_POST['password']);

    // Pārbaudiet, vai lietotājvārds jau eksistē
    $username_check_sql = "SELECT * FROM pav_gra_lietotaji WHERE l_name = '$username'";
    $username_result = $conn->query($username_check_sql);
    if ($username_result->num_rows > 0) {
        echo "Lietotājvārds jau eksistē. Lūdzu, izvēlieties citu lietotājvārdu.";
        exit(); // Beidz skripta izpildi
    }

    // Pārbaudiet, vai e-pasts jau eksistē
    $email_check_sql = "SELECT * FROM pav_gra_lietotaji WHERE l_email = '$email'";
    $email_result = $conn->query($email_check_sql);
    if ($email_result->num_rows > 0) {
        echo "Ē-pasta adrese ir lietota. Lūdzu, izmantojiet citu e-pasta adresi.";
        exit(); // Beidz skripta izpildi
    }

    // Ģenerējiet nejaušu 10 ciparu skaitli lietotāja
    $l_id = rand(100000000, 2147483647);

    // Ievieto lietotāja datus datu bāzē
    $insert_sql = "INSERT INTO pav_gra_lietotaji (l_id, l_name, l_num, l_email, l_password)
                   VALUES ('$l_id', '$username', '$phone', '$email', '$password')";

    if ($conn->query($insert_sql) === TRUE) {
        // Sāc sesiju
        session_start();
        
        // Sesijā saglabā autoru segvārdu un autora id.
        $_SESSION['autor'] = $username;
        $_SESSION['autorid'] = $l_id;

       // Novirziet lietotāju uz galvenu lapu.
        header("Location: ../main.html");
    } else {
        echo "Error: " . $insert_sql . "<br>" . $conn->error;
    }
}
// Beidz savienojumu
$conn->close();
?>